Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.milyn.tinak
Class SetContentType

    java.lang.Object
      org.milyn.tinak.SetContentType

All Implemented Interfaces:
  javax.servlet.jsp.tagext.Tag

public class SetContentType
extends java.lang.Object
implements javax.servlet.jsp.tagext.Tag

Tag for setting the response header.

Author:
  tfennelly

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetContentType()`

Method Summary
`int` | `doEndTag()` Process the doEnd event.
`int` | `doStartTag()` Process the doStart event.
`javax.servlet.jsp.tagext.Tag` | `getParent()` Get the tag parent tag.
`void` | `release()` Process the release event.
`void` | `setPageContext(javax.servlet.jsp.PageContext context)` Set the page context.
`void` | `setParent(javax.servlet.jsp.tagext.Tag tag)` Set the tag parent tag.
`void` | `setValue(java.lang.String contentType)` Set the content type Bean method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetContentType

    public SetContentType()

Method Detail

### setPageContext

    public void setPageContext(javax.servlet.jsp.PageContext context)

  Set the page context.

  Called by the container.

  Specified by:
    `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
  Parameters:
    `context` - The page context.

### setParent

    public void setParent(javax.servlet.jsp.tagext.Tag tag)

  Set the tag parent tag.

  Called by the container.

  Specified by:
    `setParent` in interface `javax.servlet.jsp.tagext.Tag`
  Parameters:
    `tag` - The tag parent tag.

### getParent

    public javax.servlet.jsp.tagext.Tag getParent()

  Get the tag parent tag.

  Specified by:
    `getParent` in interface `javax.servlet.jsp.tagext.Tag`
  Returns:
    The tag parent tag.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the doStart event.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Returns:
    `Tag.SKIP_BODY`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the doEnd event.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Returns:
    One of `Tag.SKIP_BODY`, `Tag.EVAL_BODY_INCLUDE`, `Tag.SKIP_PAGE`, `Tag.EVAL_PAGE`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Process the release event.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`

### setValue

    public void setValue(java.lang.String contentType)

  Set the content type

  Bean method.

  Parameters:
    `contentType` - The content type attribute value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD